define([
    'jquery'
], function ($) {
    'use strict';

    $.widget('mage.shareLinksWidget', {
        options: {
            openLink: '[data-role=share-links-open]',
            closeLink: '[data-role=share-links-close]'
        },

        _create: function() {
            this._bindEvents();
        },

        _bindEvents: function(){
            var self = this;

            $(this.element).find(this.options.openLink).click(function(e){
                e.preventDefault();
                $(self.element).addClass('active');

            });

            $(this.element).find(this.options.closeLink).click(function(e){
                e.preventDefault();
                $(self.element).removeClass('active');
            });
        }
    });

    return $.mage.shareLinksWidget;
});
